function inventoryNumbersSetTool(%slot)
{
	if($ToolData[%slot] <= 0)
	{
		return;
	}
	
	if(%slot == $CurrScrollToolSlot && $ScrollMode == $SCROLLMODE_TOOLS)
	{
		setScrollMode ($SCROLLMODE_NONE);
		return;
	}

	setScrollMode ($SCROLLMODE_TOOLS);
	$CurrScrollToolSlot = %slot;
	HUD_ToolActive.setVisible (True);
	setActiveTool ($CurrScrollToolSlot);
	HUD_ToolName.setText (trim ($ToolData[$CurrScrollToolSlot].uiName));
	commandToServer ('UseTool', $CurrScrollToolSlot);
}

package InventoryNumbers
{
	function useBricks(%bool)
	{
		if($BuildingDisabled && $HUD_NumToolSlots >= 1)
		{
				useTools(%bool);
				return;
		}

		parent::useBricks(%bool);
	}

	function directSelectInv (%index)
	{
		if($BuildingDisabled && $HUD_NumToolSlots >= (%index + 1))
		{
			inventoryNumbersSetTool(%index);
			return;
		}
		
		parent::directSelectInv(%index);
	}

};
activatePackage(InventoryNumbers);